#include <OIS\OIS.h>
// Including header files within header files is frowned upon,
// but this one is requried for Ogre Strings.
#include "OgrePrerequisites.h"

namespace Ogre
{
    class Overlay;
    class TextAreaOverlayElement;
}

class DebugInterface
{
public:
    DebugInterface(void);
    ~DebugInterface(void);

    void SetDebugConsoleActive(bool activate);
    bool DebugConsoleActive() { return mIsActive; }
    void HandleKeystroke(OIS::KeyEvent);


private:
    bool mIsActive;
    Ogre::Overlay *mDebugOverlay;
    Ogre::TextAreaOverlayElement *mOverlayText;
    Ogre::String mLuaCommand;
    int mHistoryIndex;
    std::vector<Ogre::String> mHistory;

};