// Including header files within header files is frowned upon,
// but this one is requried for Ogre Strings.
#include "OgrePrerequisites.h"
#include <OIS/OIS.h>

class DebugInterface;

namespace Ogre {
    class RenderWindow;
}

namespace OIS {
    class Keyboard;
    class InputManager;
}

class InputHandler : OIS::KeyListener  {
public:

    InputHandler(Ogre::RenderWindow* win, DebugInterface *dbInterface);
	void Think(float time);
    bool keyPressed(const OIS::KeyEvent &e);
    bool keyReleased(const OIS::KeyEvent &e);

    bool isKeyDown(const OIS::KeyCode);

protected:

	Ogre::RenderWindow *mRenderWindow;
	OIS::Keyboard *mKeyboard;
	OIS::InputManager* mInputManager;
    bool mSpaceDown;
    DebugInterface *mDebugInterface;
};
