extern "C"
{
#include "lua.h"
}

class World;


class LuaWrapper
{
public:
    static LuaWrapper *getSingleton();
    void doString(const char *s); 
    void setWorld(World *world);
    World *getWorld() { return mWorld; }
    ~LuaWrapper();

private:

    static LuaWrapper *_instance;
    LuaWrapper();
    void initializeLuaFunctions();
    World *mWorld;
    lua_State* mLuaState;
};